#include <iostream>
#include <fstream>

using namespace std;

#ifndef LOG_H_INCLUDED
#define LOG_H_INCLUDED


class LogFileClass {
  protected:
    ofstream file;
  public:
    LogFileClass(std::string filename) {
      file.open (filename.c_str(), ios::out);
    }
    void LogMessage(std::string filename) {
      file << (filename + "\n");
      file.flush();
    }
    ~LogFileClass() {file.close();}
};

extern LogFileClass *global_log;

#endif
